package com.ss.android.ugc.aweme.internal;

import X.3kM;
import X.C4672Lnj;
import X.C4919Lri;
import X.C4920Lrj;
import X.C4923Lrm;
import X.CqM;
import X.M12;
import android.content.Context;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.out.AVExternalServiceImpl;
import com.ss.android.ugc.aweme.shoutouts.api.IShoutoutsReviewService;
import com.ss.android.ugc.aweme.shoutouts.review.ShoutoutsReviewService;

public final class ShoutOutServiceImpl implements IShoutOutApiService {
    static {
        Covode.recordClassIndex(88730);
    }

    public final void LIZ() {
        CqM.LIZ(new C4920Lrj());
    }

    public final boolean LIZIZ() {
        return AVExternalServiceImpl.LIZ().shoutOutsService().getInMainTab();
    }

    public final boolean LIZJ() {
        return AVExternalServiceImpl.LIZ().shoutOutsService().getInFollowingTab();
    }

    public static IShoutOutApiService LIZLLL() {
        MethodCollector.i(3545);
        IShoutOutApiService iShoutOutApiService = (IShoutOutApiService) C4672Lnj.LIZ(IShoutOutApiService.class, false);
        if (iShoutOutApiService != null) {
            MethodCollector.o(3545);
            return iShoutOutApiService;
        }
        Object LIZIZ = C4672Lnj.LIZIZ(IShoutOutApiService.class, false);
        if (LIZIZ != null) {
            IShoutOutApiService iShoutOutApiService2 = (IShoutOutApiService) LIZIZ;
            MethodCollector.o(3545);
            return iShoutOutApiService2;
        }
        if (C4672Lnj.LLLLLILLIL == null) {
            synchronized (IShoutOutApiService.class) {
                try {
                    if (C4672Lnj.LLLLLILLIL == null) {
                        C4672Lnj.LLLLLILLIL = new ShoutOutServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3545);
                    throw th;
                }
            }
        }
        ShoutOutServiceImpl shoutOutServiceImpl = (ShoutOutServiceImpl) C4672Lnj.LLLLLILLIL;
        MethodCollector.o(3545);
        return shoutOutServiceImpl;
    }

    public final void LIZ(String str, long j) {
        M12.LIZ((Object) str);
        3kM.LIZ.LIZIZ(str, String.valueOf(j));
    }

    public final void LIZ(Context context, String str, Integer num, Float f, String str2) {
        String str3 = str;
        Context context2 = context;
        M12.LIZ((Object) context2, (Object) str3);
        IShoutoutsReviewService LIZ = ShoutoutsReviewService.LIZ();
        if (LIZ != null) {
            LIZ.LIZ(context2, str3, num, f, str2);
        }
    }

    public final void LIZ(ViewGroup viewGroup, int i, float f, String str, String str2, C4923Lrm lrm) {
        ViewGroup viewGroup2 = viewGroup;
        String str3 = str;
        M12.LIZ(viewGroup2, str3, lrm);
        IShoutoutsReviewService LIZ = ShoutoutsReviewService.LIZ();
        if (LIZ != null) {
            LIZ.LIZ(viewGroup2, i, f, str3, str2, new C4919Lri(lrm));
        }
    }
}
